Skip to content

Import songs

POST
/api/songs/import

Batch import up to 100 songs at once.

object
songs
required
Array<object>
>= 1 items <= 100 items
object
title
required
string
>= 1 characters <= 500 characters
artist
string
<= 500 characters
key
string
<= 20 characters
tempo
integer
>= 20 <= 400
duration
integer
<= 3600
notes
string
<= 10000 characters
timeSignature
string
<= 20 characters
leadVocal
string
<= 200 characters
infoPa
string
<= 5000 characters
mediaUrl
Any of:
string format: uri
<= 500 characters
tags
Array<string>
<= 20 items
content
string
<= 100000 characters
twoColumnLayout
boolean

Songs imported

object
ok
required
boolean
data
required
object
importedCount
required
integer
songIds
required
Array<string>

Validation error

object
ok
required
boolean
error
required
string

Unauthorized

object
ok
required
boolean
error
required
string